Installed Java but can't play Yahoo games

Asked by Helen on 2008-01-27

I have installed Java this is what I got.............

helen@home-pc:~$ sudo apt-get install sun-java6-jre
[sudo] password for helen:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libfaad2-0 libxvidcore4 libmp4v2-0 tango-icon-theme-common tango-icon-theme
  libx264-54 libfaac0
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  java-common sun-java6-bin
Suggested packages:
  equivs binfmt-support sun-java6-plugin ia32-sun-java6-plugin sun-java6-fonts
Recommended packages:
  gsfonts-x11
The following NEW packages will be installed
  java-common sun-java6-bin sun-java6-jre
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/32.8MB of archives.
After unpacking 94.0MB of additional disk space will be used.
Do you want to continue [Y/n]? y
debconf: Unable to initialise frontend: Kde
debconf: (Unable to load Qt -- is libqt-perl installed?)
debconf: falling back to frontend: Dialog
Preconfiguring packages ...
Selecting previously deselected package java-common.
(Reading database ... 93759 files and directories currently installed.)
Unpacking java-common (from .../java-common_0.26ubuntu1_all.deb) ...
Selecting previously deselected package sun-java6-bin.
Unpacking sun-java6-bin (from .../sun-java6-bin_6-03-0ubuntu2_i386.deb) ...
debconf: Unable to initialise frontend: Kde
debconf: (Unable to load Qt -- is libqt-perl installed?)
debconf: falling back to frontend: Dialog
sun-dlj-v1-1 license has already been accepted
Selecting previously deselected package sun-java6-jre.
Unpacking sun-java6-jre (from .../sun-java6-jre_6-03-0ubuntu2_all.deb) ...
debconf: Unable to initialise frontend: Kde
debconf: (Unable to load Qt -- is libqt-perl installed?)
debconf: falling back to frontend: Dialog
sun-dlj-v1-1 license has already been accepted
Setting up java-common (0.26ubuntu1) ...

Setting up sun-java6-bin (6-03-0ubuntu2) ...
No theme index file in '/usr/share/icons/sun-java6.png'.
If you really want to create an icon cache here, use --ignore-theme-index.

Setting up sun-java6-jre (6-03-0ubuntu2) ...

helen@home-pc:~$ sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fontsReading package lists... Done
Building dependency tree
Reading state information... Done
sun-java6-jre is already the newest version.
The following packages were automatically installed and are no longer required:
  libfaad2-0 libxvidcore4 libmp4v2-0 tango-icon-theme-common tango-icon-theme libx264-54 libfaac0
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed
  sun-java6-fonts sun-java6-plugin
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 1814B/3412B of archives.
After unpacking 197kB of additional disk space will be used.
Get: 1 http://archive.ubuntu.com gutsy/multiverse sun-java6-fonts 6-03-0ubuntu2 [1814B]
Fetched 1814B in 0s (3872B/s)
debconf: Unable to initialise frontend: Kde
debconf: (Unable to load Qt -- is libqt-perl installed?)
debconf: falling back to frontend: Dialog
Selecting previously deselected package sun-java6-fonts.
(Reading database ... 94698 files and directories currently installed.)
Unpacking sun-java6-fonts (from .../sun-java6-fonts_6-03-0ubuntu2_all.deb) ...
Selecting previously deselected package sun-java6-plugin.
Unpacking sun-java6-plugin (from .../sun-java6-plugin_6-03-0ubuntu2_i386.deb) ...
Setting up sun-java6-fonts (6-03-0ubuntu2) ...
No CIDSupplement specified for KochiMincho-Regular, defaulting to 0.
No CIDSupplement specified for Batang-Bold, defaulting to 0.
No CIDSupplement specified for KochiGothic-Regular, defaulting to 0.
No CIDSupplement specified for Dotum-Bold, defaulting to 0.
No CIDSupplement specified for KochiMincho-Regular-JaH, defaulting to 0.
No CIDSupplement specified for Dotum-Regular, defaulting to 0.
No CIDSupplement specified for KochiGothic-Regular-JaH, defaulting to 0.
No CIDSupplement specified for Batang-Regular, defaulting to 0.

Setting up sun-java6-plugin (6-03-0ubuntu2) ...

helen@home-pc:~$ java -version
java version "1.6.0_03"
Java(TM) SE Runtime Environment (build 1.6.0_03-b05)
Java HotSpot(TM) Client VM (build 1.6.0_03-b05, mixed mode, sharing)

I assume this all ok?
When I go to yahoo games it says I do not have Java.
I have been trying to install this for 2 days now and am at the end of my teather!
What am I doing wrong? Please help!

Thanks
Helen

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
Helen
Solved:
2008-01-31
Last query:
2008-01-31
Last reply:
2008-01-28
Vadim Peretokin (vperetokin) said : #1

Maybe you don't have the java plugin for firefox?

Try doing "sudo apt-get install ubuntu-restricted-extras", that configures java for you too.

Helen (helen-phillips29) said : #2

Hi

Yes tried that still get the same message..............

Helen (helen-phillips29) said : #3

This is what I get

This game cannot be played using your current settings. Please, try the following:

    * Check to make sure that java is enabled in your browser. (learn more)
    * If you do not have java installed you may download it here.
    * To learn more about java support for browsers, visit our help pages.

Vadim Peretokin (vperetokin) said : #4

Go to java.com, and check your java installation - is it okay?

Helen (helen-phillips29) said : #5

No it says:
Oops! You don't have the recommended Java installed.
Your Java version is 1.4.2. Please click the button below to get the recommended Java for your computer.

But on my PC it under system > preferences it says I have Java 6

What am I doing wrong?

naufal (musp-student) said : #6

Hello,
open synaptic and try to install
'sun-java6-plugin' and 'sun-java6-bin'
hope this help...

Helen (helen-phillips29) said : #7

Hi
I have done that. It says that they are installed.

Helen (helen-phillips29) said : #8

Problem solved. I deleted the 1.4 GNU plugin

Dread Knight (dread.knight) said : #9

@Helen, i got the same problem :-(

what do you actually mean by "i deleted the 1.4 gnu plugin"? please help me out xD

arun_gopalan (gopalan-arun) said : #10

Hi There Dread and Helen

This is what i did to solve this issue.

1. Open synaptic package manager.
2. Search for all the packages which have the word gcj in them and sort the packages by 'installed' so that the installed ones come at top
3. Completely remove all these packages. Make sure you are removing only packages which have the word gcj in them and their description says its for java.
4. Open firefox and start yahoo games - Now it should say you have a missing plugin and prompt you an installation. Install the missing plugin and MAKE SURE you chose sun java and NOT gcj.
5. Restart firefox
6. Enjoy yahoo games.

Make sure you have added games.yahoo.com to allow pop ups.

Regards
Arun

Dread Knight (dread.knight) said : #11

@arun_gopalan: Thanks very much! Will try that soon if i bump into problems again.

Cheers! :-)

GlennG (grg43) said : #12

I recently purchased a laptop with Ubuntu...always been a windows type. Thanks very much for this info. Worked great!

kyniemxotxa98 (hieunguyen07) said : #13

i get this message

can not find 'sun-java-plugin'

then i try to find that package, but then it has a dependency, then i try to find that dependency, but that dependency has another dependency.. and it chains up forever, then loops itself back. can someone help?

joelseeley (joelseeley) said : #14

This did not fix the problem for me. i finally got my wife to switch to kubuntu, now she wants to play euchre on yahoo games and for the life of me i cant get it to work. everything checks out ok as far as java being installed, i tried the methods listed above and it still gives me the same error;
    * Check to make sure that java is enabled in your browser. (learn more)
    * If you do not have java installed you may download it here.
    * To learn more about java support for browsers, visit our help pages.

I thank you in advance for your help.

Vadim Peretokin (vperetokin) said : #15

joelseeley: that game seems to have broken java detection, I got the same error while I do have the java applet installed (I found this applet you can test with: http://java.sun.com/applets/jdk/1.4/demo/applets/ArcTest/example1.html)

I sent them a question form: http://help.yahoo.com/l/us/yahoo/games/general.html?from_url=http://help.yahoo.com/l/us/yahoo/games/general/errors/games-09.html

we'll see how they answer

joelseeley (joelseeley) said : #16

well actually i got it to work for her, i removed and reinstalled firefox and removed the icedtea packages in aptitude. after that it is now working. thank you

joelseeley (joelseeley) said : #17

well actually i got it to work for her, i removed and reinstalled firefox and removed the icedtea packages in aptitude. after that it is now working. i posted a more detailed answer to what i did here https://answers.launchpad.net/ubuntu/+question/47570 please let me know if you know the reason that solved the problem, i will read the links you sent, maybe that was the issue, now it works but i have the applet bail issue i am about to read up on that now.

Thanks!

joelseeley (joelseeley) said : #18

also i now was able to get the applet bail problem fixed. here is where i found the answer in detail;
http://ubuntuforums.org/showthread.php?t=784384

i was able to use sun-java 5 and it fixed the applet bail problem.